# $Revision: 1.29 $, $Date: 2009/08/20 06:35:39 $
Summary:	X.org video driver for Matrox video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Matrox
Name:		xorg-driver-video-mga
# 1.9.100 is older than 1.4.9
Version:	1.4.11
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-mga-%{version}.tar.bz2
# Source0-md5:	9d1ca965cedb0856296b47442f3c739d
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
# checked, by not used
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.3.0
BuildRequires:	rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-libdri >= 1.3.0
Requires:	xorg-xserver-libglx >= 1.3.0
Requires:	xorg-xserver-server >= 1.3.0
Obsoletes:	X11-driver-mga < 1:7.0.0
Obsoletes:	XFree86-mga
Obsoletes:	XFree86-driver-mga < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Matrox video adapters. It supports PCI and AGP
video cards based on the following Matrox chips: MGA2064W, MGA1064SG
(Mystique), MGA2164W (Millennium II), G100 (Productiva G100), G200
(Millennium G200 and Mystique G200), G400 (Millenium G400, Millenium
G400 MAX, Millenium G450 and Marvel G450 eTV), G550 (Milenium G550 and
Millenium G500 Dual DVI).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Matrox. Obsługuje karty
PCI i AGP oparte na następujących układach Matroksa: MGA2064W,
MGA1064SG (Mystique), MGA2164W (Millennium II), G100 (Productiva
G100), G200 (Millennium G200 i Mystique G200), G400 (Millenium G400,
Millenium G400 MAX, Millenium G450 i Marvel G450 eTV), G550 (Milenium
G550 i Millenium G500 Dual DVI).

%prep
%setup -q -n xf86-video-mga-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/mga_drv.so
%{_mandir}/man4/mga.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-mga.spec,v $
Revision 1.29  2009/08/20 06:35:39  amateja
- updated to 1.4.11

Revision 1.28  2009/04/28 20:40:31  arekm
- up to 1.4.10

Revision 1.27  2009/02/28 12:28:39  gotar
- added missing BRs

Revision 1.26  2009/02/25 22:32:29  arekm
- up to 1.4.9

Revision 1.25  2009/02/25 21:05:39  arekm
- release 4

Revision 1.24  2008/12/27 09:17:55  qboosh
- R: xorg libdri,libglx

Revision 1.23  2008/12/20 17:58:02  blues
- Requires libglx and libdri

Revision 1.22  2008/08/30 16:33:40  arekm
- release 3

Revision 1.21  2008/07/01 16:08:52  arekm
- release 2

Revision 1.20  2007-10-03 15:39:37  arekm
- up to 1.9.100

Revision 1.19  2007/09/19 20:12:28  qboosh
- xserver >= 1.3.0 is required

Revision 1.18  2007/09/19 19:50:06  arekm
- up to 1.9.99

Revision 1.17  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.16  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.15  2007/09/05 17:38:39  qboosh
- updated to 1.4.7

Revision 1.14  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.13  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.11  2006/12/24 11:57:12  arekm
- up to 1.4.6.1

Revision 1.10  2006/12/16 15:28:32  arekm
- up to 1.4.6

Revision 1.9  2006/11/30 18:34:45  qboosh
- updated to 1.4.5

Revision 1.8  2006/10/28 20:56:49  qboosh
- updated to 1.4.4

Revision 1.7  2006/10/17 14:02:56  qboosh
- updated to 1.4.3

Revision 1.6  2006/09/19 10:50:09  qboosh
- updated to 1.4.2

Revision 1.5  2006/04/11 10:03:50  qboosh
- updated to 1.4.1

Revision 1.4  2006/01/09 11:26:21  qboosh
- 1.2.1.3 (X11R7.0 release)

Revision 1.3  2005/12/07 15:05:11  qboosh
- 1.2.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:05:36  qboosh
- 1.2.1 (X11R7.0-RC2)

Revision 1.1  2005/10/30 00:51:55  qboosh
- new
